MySQL Client connector too old? (Not XAMPP Related) [SOLVED]

Problems with the Windows version of XAMPP, questions, comments, and anything related.

MySQL Client connector too old? (Not XAMPP Related) [SOLVED]

Postby georghill » 16. January 2012 20:50

Hi,

Having used XAMPP succesfully as a development environment for several years now, I faced now for first time an issue that stopped me installing a well known software.

I tried to install OXID-sales ecommerce software to XAMPP 1.7.7 but OXID's setup refused to instal, claiming I (e.g xampp) has >"too old mysql client connector".

Xampp 1.7.7 has version 5.0.8 but oxid requires at least version 5.0.33 of the mysql client connector.

Compared to the fact that in general Xampp has the latest components, I was surpriced about this issue.

Is there a quick fix available and/or advice how to upgrade just the client to a more recent version?

thanks in advance
georghill
 
Posts: 2
Joined: 16. January 2012 20:39
Operating System: Windows 7 64bit

Re: MySQL Client connector too old?

Postby Altrea » 17. January 2012 02:21

Hi georghill,

This problem is well known on the oxid sales support board. My bad i can only quote from a german post in this board http://www.oxid-esales.com/forum/showthread.php?t=12729
    You can:
  • stay with an older version of the oxid shop (e.g. 4.5.5)
  • copy and replace the /core/oxsysrequirements.php from Oxid 4.5.5 with your current
  • copy the function
    Code: Select all
    if (strpos($sClientVersion, 'mysqlnd') !== false) {
        // PHP 5.3 includes new mysqlnd extension
        $iModStat = 2;
    }
    from an older /core/oxsysrequirements.php to the current one
    (I can't help you with that, i haven't got OXID shop on my system)

Maybe you can get more help on the Oxid support board

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8299
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: MySQL Client connector too old?

Postby georghill » 17. January 2012 11:58

Thank you!
georghill
 
Posts: 2
Joined: 16. January 2012 20:39
Operating System: Windows 7 64bit

Re: MySQL Client connector too old?

Postby marco.steinhaeuser » 18. January 2012 19:47

Hi,

exactly. It's an issue that is already fixed and will be published with the next patch OXID eShop version 4.5.7 soon (by end of January). Please have a look at this bug entry incl. comments: http://goo.gl/XcqAf
Sorry for any inconvenience - apparently, I was led astray a bit. At the end of the day, it is _not_ a XAMPP issue.

Regards
Marco
marco.steinhaeuser
 
Posts: 1
Joined: 18. January 2012 19:40
Operating System: Linux

Re: MySQL Client connector too old? (Not XAMPP Related) [SOL

Postby Sharley » 18. January 2012 21:19

Thanks Marco for your feedback. 8)

I will close this topic and mark it solved.

Best wishes. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3


Return to XAMPP for Windows

Who is online

Users browsing this forum: JJ_Tagy and 67 guests